# Interface ScCapacitorConfig

interface ScCapacitorConfig {
appId?: string;
appName: string;
appVersion: string;
buildType: string;
keystoreAlias?: string;
keystoreAliasPassword?: string;
keystorePassword?: string;
keystorePath?: string;
unsecureNetwork: boolean;
}

- Defined in utils/common-build-utils.ts:104

##### Index

### Properties

appId?
appName
appVersion
buildType
keystoreAlias?
keystoreAliasPassword?
keystorePassword?
keystorePath?
unsecureNetwork

## Properties

### `Optional` appId

appId?: string

- Defined in utils/common-build-utils.ts:106

### appName

appName: string

- Defined in utils/common-build-utils.ts:105

### appVersion

appVersion: string

- Defined in utils/common-build-utils.ts:107

### buildType

buildType: string

- Defined in utils/common-build-utils.ts:113

### `Optional` keystoreAlias

keystoreAlias?: string

- Defined in utils/common-build-utils.ts:110

### `Optional` keystoreAliasPassword

keystoreAliasPassword?: string

- Defined in utils/common-build-utils.ts:112

### `Optional` keystorePassword

keystorePassword?: string

- Defined in utils/common-build-utils.ts:111

### `Optional` keystorePath

keystorePath?: string

- Defined in utils/common-build-utils.ts:109

### unsecureNetwork

unsecureNetwork: boolean

- Defined in utils/common-build-utils.ts:108